Bug 73582 - passwd: Only root can specify a username.
passwd: Only root can specify a username.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-06 07:17 EDT by Bob Creedon
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-12 04:00:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of the error message (1.15 MB, text/plain)
2002-09-06 07:28 EDT, Bob Creedon
no flags Details

  None (edit)
Description Bob Creedon 2002-09-06 07:17:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; .NET CLR 1.0.3705)

Description of problem:
passwd:  Only root can specify a username.

This looks like the login program is using the wrong parameter to call
passwd.

Previously notified to Red Hat Support on Service Request 211674

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./usr/bin/chage -m 0 -M 91 -W 7 bobcreedon
2.login
3.
	

Actual Results:  get error message as notified to Red Hat Support on Service 
Request 211674. Example of the error message was submitted on Service Request 
211674 as an attachment.

Expected Results:  user should be allowed to choose a new password.

Additional info:
Comment 1 Bob Creedon 2002-09-06 07:28:01 EDT
Created attachment 75207 [details]
screen shot of the error message
Comment 2 Mark J. Cox (Product Security) 2003-04-23 08:12:29 EDT
I can't reproduce this error on 7.1, 7.2, or 9.  Are you still having this
problem on a more recent distribution?
Comment 3 Mark J. Cox (Product Security) 2003-12-12 04:00:37 EST
No response, closing.  Please reopen if this still occurs.

Note You need to log in before you can comment on or make changes to this bug.